import Foundation
import App

# Usually, you need only edit these seven lines
abbrev = 'FedStarbase2'				# Short name, no spaces, used as a preface for descriptions
iconName = 'FedStarbase2'				# Name of icon .tga file
longName = 'FedStarbase2'				# Long name with spaces
shipFile = 'FedStarbase2'				# Name of the file in Scripts\Ships\ to use.
menuGroup = 'Fed Ships'			# Menu to appear under in Quick Battle
playerMenuGroup = 'Fed Ships'		# ...set to None if you don't want to appear here.
species = App.SPECIES_SOVEREIGN		# I'm not sure how important this is.


# Mod info.  Use this as an opportunity to describe your work in brief.  This may have
# use later on for updates and such.
credits = {
	'modName': 'FedStarbase2 Class',			# The full name of your mod if applicable
	'author': 'Cleeve - www.STARYARDS.com',					# Your name here
	'version': '0.85',						# No more than one period please!  
										# I'd like to be able to do a numeric comparison.
	'sources': [ 'http://www.STARYARDS.com' ],				# Source for this mod
	'comments': ''						# General info
}

# Uncomment (remove the # symbol from) the line which has a ShipDef you want.
# A generic ship should use ShipDef.  If you want a Federation Ship, put a #
# in front of the first line and uncomment the line with FedShipDef.
# Foundation.ShipDef.Example = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.FedStarbase2 = Foundation.StarBaseDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.CardStarBaseDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.FedStarbase2 = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.CardShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.RomulanShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.KlingonShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.KessokShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.FerengiShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.DominionShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
# Foundation.ShipDef.Example = Foundation.BorgShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

# These register the ship with the QuickBattle menus.  Don't touch them.
if menuGroup:			Foundation.ShipDef.FedStarbase2.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:		Foundation.ShipDef.FedStarbase2.RegisterQBPlayerShipMenu(playerMenuGroup)

# If you want to override an existing ship, uncomment and edit the following:  
# Foundation.ShipDef.FTBVorcha.friendlyDetails[2] = 'QBFriendlyVorchaDestroyed'
# Foundation.ShipDef.FTBVorcha.enemyDetails[2] = 'QBEnemyVorchaDestroyed'
